Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xcodegen.ant
Class AbstractCodeGeneratorTask

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--xcodegen.ant.AbstractCodeGeneratorTask

Direct Known Subclasses:
  AbstractBeanTask, AbstractSQLTask

public abstract class AbstractCodeGeneratorTask
extends org.apache.tools.ant.Task

Base task for CodeGenerators

Version:
  $Revision: 1.1 $
Author:
  Herve Tchepannou

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`AbstractCodeGeneratorTask()`

Method Summary
`void` | `execute()`
`abstract CodeGenerator` | `getCodeGenerator()`
`void` | `setConfigProperty(java.lang.String name, java.lang.String value)`
`void` | `setPackages(XPackage[] pkg)`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorOutput, handleOutput, init, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractCodeGeneratorTask

    public AbstractCodeGeneratorTask()

Method Detail

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
    `org.apache.tools.ant.BuildException`

### getCodeGenerator

    public abstract CodeGenerator getCodeGenerator()

### setPackages

    public void setPackages(XPackage[] pkg)

### setConfigProperty

    public void setConfigProperty(java.lang.String name,
                                  java.lang.String value)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD